Name:           telepathy-qt4
Version:        0.1.10
Release:        5%{?dist}
Summary:        Qt4 bindings for Telepathy

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 4.5
BuildRequires:  python-devel
BuildRequires:  libxslt
BuildRequires:  pygtk2
BuildRequires:  doxygen
BuildRequires:  graphviz

# run some tests:
BuildRequires:  perl
BuildRequires:  telepathy-farsight-devel

BuildRequires:  dbus-python
# even more tests would require telepathy-glib and a Qt that uses the GLib
# main loop which we don't have

Requires:       telepathy-filesystem

%description
Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib
but for Qt 4.

%package devel
Summary:        Qt4 bindings for Telepathy
Group:          Development/Libraries
Requires:       pkgconfig
Provides:       %{name}-static = %{version}-%{release}

%description devel
Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib
but for Qt 4. This package provides the header files.

%prep
%setup -q

# don't build the examples
%{__sed} -i '/^SUBDIRS.*/s/examples //' Makefile.in

%{__chmod} 0644 tests/lib/account-manager.py


%build
%configure --disable-static PYTHON=%{__python}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf tests
rm -rf examples/*/.deps

rm -f %{buildroot}%{_libdir}/libtelepathy-qt4.la

%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README doc spec examples

%{_libdir}/libtelepathy-qt4.a

%{_includedir}/telepathy-1.0/TelepathyQt4
%{_libdir}/pkgconfig/TelepathyQt4.pc


%changelog
* Sat Oct  3 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-5
- transformed exclude into a rm -f

* Sat Oct  3 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-4
- Replaced patch with simpler sed command
- Removed -doc subpackage
- Removed qt Requires
- Added telepathy-filesystem Requires

* Tue Sep 29 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-3
- Changed license
- Don't mess with the tests
- Remove hidden directories
- Add more dependencies in order to build tests and examples
- Don't include tests in the final rpm
- Added virtual -static package
- Mark -doc package as BuildArch: noarch

* Mon Sep 21 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-2
- Don't compile tests and examples

* Sat Aug 29 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-1
- Initial release
